Bug 299088 - Clicking "Get an MP3tunes locker" makes nothing
Summary: Clicking "Get an MP3tunes locker" makes nothing
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/MP3tunes (show other bugs)
Version: 2.5.0
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-30 08:33 UTC by Emilio
Modified: 2012-05-02 14:08 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio 2012-04-30 08:33:51 UTC
On the configuration of MP3tunes plugin, clicking "Get an MP3tunes locker" makes nothing. 
I'm using today's git version.

Reproducible: Always

Steps to Reproduce:
1. Go to Settings -> Configure Amarok -> Plugins.
2. Activate MP3tunes Locker and click on the wrench to open the configuration.
3. Click on "Get an MP3tunes locker".
4. Nothing happens. I think that firefox should open
Actual Results:  
It makes nothing. 

Expected Results:  
It should open firefox
Comment 1 Emilio 2012-04-30 14:35:46 UTC
The same happens with the links in the configuration of the following internet services: gpodder.net ("Sign up to gpodder.net"), last.fm ("Sign up to last.fm" and "Amarok Last.fm group"), apart from MP3tunes.

The link in the Magnatune internet service works well. It opens firefox in the right site.
Comment 2 Shlomi Fish 2012-05-01 17:51:56 UTC
I can reproduce this here. Clicking the link does nothing. For the record, when I do a Right Click -> Copy Link Location the link gets copied to Ctrl+V.

I'm using amarok-2.5.0-3.mga2 on Mageia Linux 2/Cauldron on x86-64 .
 
Regards,

--- Shlomi Fish
Comment 3 Myriam Schweingruber 2012-05-01 21:29:01 UTC
Setting status to confirmed.
Comment 4 Sam Lade 2012-05-02 14:08:51 UTC
Git commit c54a5eaa12a8874641f990687793126e7a393d88 by Sam Lade.
Committed on 02/05/2012 at 16:07.
Pushed by lade into branch 'master'.

Fix external URLs in service config dialogs

Affects MP3tunes, gpodder.net, Last.fm. Magnatune worked already.
FIXED-IN:2.6

M  +1    -0    ChangeLog
M  +3    -0    src/services/gpodder/GpodderConfigWidget.ui
M  +6    -0    src/services/lastfm/LastFmConfigWidget.ui
M  +3    -0    src/services/mp3tunes/Mp3tunesConfigWidget.ui

http://commits.kde.org/amarok/c54a5eaa12a8874641f990687793126e7a393d88